footer {
    position: relative;
}

.wave1 {
    clip-path: polygon(100% 100%, 0% 100%, 0.00% 71.40%, 1.00% 65.98%, 2.00% 60.82%, 3.00% 56.70%, 4.00% 54.24%, 5.00% 53.81%, 6.00% 55.47%, 7.00% 58.97%, 8.00% 63.79%, 9.00% 69.21%, 10.00% 74.41%, 11.00% 78.61%, 12.00% 81.19%, 13.00% 81.76%, 14.00% 80.23%, 15.00% 76.84%, 16.00% 72.08%, 17.00% 66.68%, 18.00% 61.44%, 19.00% 57.15%, 20.00% 54.45%, 21.00% 53.75%, 22.00% 55.15%, 23.00% 58.43%, 24.00% 63.12%, 25.00% 68.50%, 26.00% 73.78%, 27.00% 78.15%, 28.00% 80.97%, 29.00% 81.81%, 30.00% 80.54%, 31.00% 77.36%, 32.00% 72.75%, 33.00% 67.39%, 34.00% 62.08%, 35.00% 57.63%, 36.00% 54.69%, 37.00% 53.72%, 38.00% 54.85%, 39.00% 57.92%, 40.00% 62.46%, 41.00% 67.80%, 42.00% 73.13%, 43.00% 77.66%, 44.00% 80.71%, 45.00% 81.82%, 46.00% 80.82%, 47.00% 77.87%, 48.00% 73.40%, 49.00% 68.09%, 50.00% 62.73%, 51.00% 58.13%, 52.00% 54.97%, 53.00% 53.73%, 54.00% 54.59%, 55.00% 57.43%, 56.00% 61.81%, 57.00% 67.09%, 58.00% 72.47%, 59.00% 77.15%, 60.00% 80.42%, 61.00% 81.79%, 62.00% 81.07%, 63.00% 78.35%, 64.00% 74.04%, 65.00% 68.80%, 66.00% 63.40%, 67.00% 58.66%, 68.00% 55.28%, 69.00% 53.77%, 70.00% 54.36%, 71.00% 56.96%, 72.00% 61.18%, 73.00% 66.39%, 74.00% 71.80%, 75.00% 76.61%, 76.00% 80.09%, 77.00% 81.73%, 78.00% 81.28%, 79.00% 78.80%, 80.00% 74.67%, 81.00% 69.50%, 82.00% 64.08%, 83.00% 59.20%, 84.00% 55.62%, 85.00% 53.85%, 86.00% 54.17%, 87.00% 56.52%, 88.00% 60.57%, 89.00% 65.69%, 90.00% 71.12%, 91.00% 76.05%, 92.00% 79.74%, 93.00% 81.64%, 94.00% 81.45%, 95.00% 79.22%, 96.00% 75.27%, 97.00% 70.20%, 98.00% 64.76%, 99.00% 59.77%, 100.00% 55.99%);
    height: 200px;
    width: 100%;
    background-color: #ae98f8;
    position: absolute;
    top: 0;
}

.wave {
    clip-path: polygon(100% 100%, 0% 100%, 0.00% 61.13%, 1.00% 64.26%, 2.00% 67.83%, 3.00% 71.38%, 4.00% 74.50%, 5.00% 76.79%, 6.00% 77.97%, 7.00% 77.91%, 8.00% 76.60%, 9.00% 74.21%, 10.00% 71.03%, 11.00% 67.45%, 12.00% 63.91%, 13.00% 60.85%, 14.00% 58.63%, 15.00% 57.53%, 16.00% 57.69%, 17.00% 59.08%, 18.00% 61.53%, 19.00% 64.76%, 20.00% 68.35%, 21.00% 71.86%, 22.00% 74.88%, 23.00% 77.03%, 24.00% 78.04%, 25.00% 77.79%, 26.00% 76.32%, 27.00% 73.79%, 28.00% 70.53%, 29.00% 66.93%, 30.00% 63.44%, 31.00% 60.47%, 32.00% 58.40%, 33.00% 57.47%, 34.00% 57.81%, 35.00% 59.37%, 36.00% 61.96%, 37.00% 65.26%, 38.00% 68.86%, 39.00% 72.34%, 40.00% 75.25%, 41.00% 77.25%, 42.00% 78.08%, 43.00% 77.65%, 44.00% 76.01%, 45.00% 73.36%, 46.00% 70.03%, 47.00% 66.42%, 48.00% 62.97%, 49.00% 60.11%, 50.00% 58.19%, 51.00% 57.44%, 52.00% 57.96%, 53.00% 59.68%, 54.00% 62.39%, 55.00% 65.76%, 56.00% 69.38%, 57.00% 72.80%, 58.00% 75.60%, 59.00% 77.44%, 60.00% 78.10%, 61.00% 77.49%, 62.00% 75.69%, 63.00% 72.92%, 64.00% 69.52%, 65.00% 65.90%, 66.00% 62.52%, 67.00% 59.77%, 68.00% 58.01%, 69.00% 57.44%, 70.00% 58.14%, 71.00% 60.01%, 72.00% 62.84%, 73.00% 66.27%, 74.00% 69.89%, 75.00% 73.24%, 76.00% 75.93%, 77.00% 77.61%, 78.00% 78.09%, 79.00% 77.30%, 80.00% 75.35%, 81.00% 72.47%, 82.00% 69.01%, 83.00% 65.40%, 84.00% 62.08%, 85.00% 59.45%, 86.00% 57.85%, 87.00% 57.46%, 88.00% 58.34%, 89.00% 60.37%, 90.00% 63.30%, 91.00% 66.79%, 92.00% 70.39%, 93.00% 73.68%, 94.00% 76.24%, 95.00% 77.76%, 96.00% 78.05%, 97.00% 77.09%, 98.00% 74.99%, 99.00% 72.00%, 100.00% 68.49%);
    height: 200px;
    width: 100%;
    background-color: #12004F;
}

.footer {
    background-color: #10044b;
    /* display: flex; */
    align-items: center;
    justify-content: center;
    color: white;
    padding: 20px;
    text-align: center;
}

.footer-content {
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    justify-content: center;
}

.footer-logo {
    max-width: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-logo img {
    width: 100%;
}

.footer-logo span {
    color: #ff0f0f;
}

.footer-links {
    list-style: none;
    display: flex;
    flex-direction: column;
    text-align: start;
    gap: 7px;
}

.footer-links a {
    color: white;
    text-decoration: none;
    font-size: 15px;
}

.social-icons {
    display: flex;
    gap: 20px;
}

.fa-brands {
    color: white;
    font-size: 25px;
    transition: color 0.3s;
}

.social-icons a {
    color: white;
    font-size: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background-color: #3b5998;
    /* Default color for Facebook */
    transition: background-color 0.3s;
}

.social-icons a.instagram {
    background-color: #079807;
}

.social-icons a.youtube {
    background-color: #ff0000;
}

.footer-note {
    font-size: 18px;
    margin-top: 30px;
}

.footer-note a {
    color: white;
}

/* Responsive styles */
@media (min-width: 660px) {
    .footer-content {
        flex-direction: row;
        justify-content: space-evenly;
        width: 100%;
    }
}

@media (max-width: 600px) {
    .logo-footer {
        width: 80%;
        height: 80px;
        object-fit: fill;
    }
}